Subject: (usr-tc) Question about multiple arc configuration

From: Mark Thornton <[email-masked]>
Date: Wed, 11 Apr 2001 20:43:34 +0000

When we set up a chassis with multiple arc's for performance and redundancy,
can the arc's share ip address space, or do we have to have twice as many ip
addresses as actual modems to avoid potential conflicts?

The problem that might occur would be if an arc failed and the other took
over, how would it know which ip addresses have already been assigned? Then
again, if an arc fails what happens to the sessions it was hosting? Are they
dumped anyway?

Mark Thornton
San Marcos Internet, Inc.
512-393-5300

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.

---

From: Jonathan Byrne <[email-masked]>
Date: Thu, 12 Apr 2001 05:21:01 +0000

> over, how would it know which ip addresses have already been assigned? Then

It depends on how you have them configured.  If you use a hot spare/
failover configuration like we do, the second HARC should have the
same addresses in its IP pool as the first one, so that it assigns them
in the event that the first one fails and the second one takes over.
Overlap is not a problem.  If the first one fails, of course, none
of the addresses are assigned and the second HARC is free to hand them
out.

If you configure them to each run half the cards in the chassis, then 
they must not have overlapping IP pool ranges.  If the IP pool for
that chassis is a /24, give each HARC a /25 in that range.  FWIW,
I tried that and didn't see any noticeable performance benefit,
even during peak hours, so I now only configure two-HARC chassis
for hot spare/failover.  That has helped me a couple of times, since
a HARC will only fail in the middle of the night :-)

Cheers,

Jonathan

-